﻿using PDF_Office.Model.Dialog.HomePageToolsDialogs.HomePagePrinter;
using PDFSettings;
using Prism.Events;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Printing;
using System.Security.Cryptography.X509Certificates;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.EventAggregators
{

    public class PrintSettingsInfoWithUnicode
    {
        public PrintSettingsInfo printSettingsInfo;
        public string Unicode;
    }

    public class PrintModInfoWithUnicode
    {
        public PrintModInfo printModInfo;
        public string Unicode;
    }

    public class PrintQueueWithUnicode
    {
        public PrintQueue printQueue;
        public string Unicode;
    }

    public class LabelWithUnicode
    {
        public string Unicode;
        public string Label;
    }

    public class SendPrintSettingsInfoEvent:PubSubEvent<PrintSettingsInfoWithUnicode>
    {

    }

    public class SendPrintSettingsModInfoEvent:PubSubEvent<PrintModInfoWithUnicode>
    {

    }

    public class SendPrintQueueEvent : PubSubEvent<PrintQueueWithUnicode>
    {
    }

    public class SendLabelEvent : PubSubEvent<LabelWithUnicode>
    {
    }
}
