﻿using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Ink;

namespace PDF_Office.Model.AnnotPanel
{
    public enum SignatureType
    {
        TextType,
        Drawing,
        ImageType
    }
    public class Signature : BindableBase
    {
        private string sourcePath;

        public string SourcePath
        {
            get { return sourcePath; }
            set
            {
                SetProperty(ref sourcePath, value);
            }
        }
        private string drawingPath;

        public string DrawingPath
        {
            get { return drawingPath; }
            set
            {
                SetProperty(ref drawingPath, value);
            }
        }
        public SignatureType Type { get; set; }
        public DrawingAttributes DrawingAttributesObject { get; set; }
    }
}
