﻿using ComPDFKit.PDFDocument;
using ComPDFKitViewer.AnnotEvent;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media.Imaging;

namespace PDF_Office.Model.BOTA
{
    public class AnnotationHandlerEventArgs : EventArgs
    {
        public string Content { get; set; }
        public string MarkupContent { get; set; }
        public string Author { get; set; }
        public string CreateTime { get; set; }
        public string UpdateTime { get; set; }
        public AnnotArgsType EventType { get; set; }
        public bool Locked { get; set; }
        public bool ReadOnly { get; set; }
        public ComPDFKitViewer.FormField FormField { get; set; }
        public int PageIndex { get; set; }
        public int AnnotIndex { get; set; }
        public AnnotHandlerEventArgs AnnotHandlerEventArgs { get; set; }
        public WriteableBitmap WriteableBitmap { get; set; }
        public CPDFDocument Document { get; set; }
    }
}