﻿using System;
using System.Collections.Generic;
using PDFSettings;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.EditTools.Bates
{
    public class BatesCreateModel
    {
    }
    public class BatesInfo
    {
        /// <summary>
        /// 模板名称
        /// </summary>
        public string ItemName = "";
        /// <summary>
        /// 内容
        /// </summary>
        public contentItem[] TextData = new contentItem[6];
        /// <summary>
        /// 间距
        /// </summary>
        /// 
        public float[] margin = new float[4];
        

        /// <summary>
        /// 起始页
        /// </summary>
        public int StarPagetNumber = 1;

        /// <summary>
        /// 贝茨码：前缀
        /// </summary>
        public string Prefix = "";

        /// <summary>
        /// 贝茨码：后缀
        /// </summary>
        public string Suffix = "";

        /// <summary>
        /// 贝茨码：位数
        /// </summary>
        public int DigitNumber = 1;

        /// <summary>
        /// 页面范围
        /// </summary>
        public string PageRange = "0";

        /// <summary>
        /// 页面范围索引;
        /// 0:全部页面
        /// 1:奇数页
        /// 2;偶数页
        /// 3:自定义页
        /// </summary>
        public int PageRangeIndex = 0;
    }

    //public struct contentItem
    //{
    //    public BateHeaderFooter_ContentType textTag;
    //    public string text;
    //    public string fontName;
    //    public float fontSize;

    //    /// <summary>
    //    /// 纯色背景颜色
    //    /// </summary>
    //    public byte[] Color;
    //}

    //public enum BateHeaderFooter_ContentType
    //{
    //    L_Header,
    //    C_Header,
    //    R_Header,
    //    L_Footer,
    //    C_Footer,
    //    R_Footer
    //}

}
