﻿using ComPDFKitViewer.AnnotEvent;
using ComPDFKitViewer.PdfViewer;
using PDF_Office.Model;
using Prism.Mvvm;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace PDF_Office.ViewModels.Form
{

    public class RadioButtonPropertyViewModel : FormBaseVM, INavigationAware
    {
        #region 属性

        #region 选项
        //单选按钮选项
        private string _OptionContent;
        public string OptionContent
        {
            get { return _OptionContent; }
            set { SetProperty(ref _OptionContent, value); }
        }

        private bool _isDefaultChecked = false;
        public bool IsDefaultChecked
        {
            get { return _isDefaultChecked; }
            set { SetProperty(ref _isDefaultChecked, value); }
        }
        #endregion


        #endregion

        #region Command

        #endregion

        #region 变量
        private CPDFViewer PDFViewer;
        private WidgetRadioButtonArgs radioButtonArgs;
        #endregion

        #region 初始化
        public RadioButtonPropertyViewModel()
        {
            InitVariable();
            InitCommand();
        }

        private void InitVariable()
        {

        }

        private void InitCommand()
        {

        }

        #endregion


        #region 一般处理

        #endregion

        #region 外观处理

        #endregion

        #region 选项处理

        #endregion

        #region Navegation
        public bool IsNavigationTarget(NavigationContext navigationContext)
        {
            return true;
        }

        public void OnNavigatedFrom(NavigationContext navigationContext)
        {
            radioButtonArgs = null;
        }

        public void OnNavigatedTo(NavigationContext navigationContext)
        {
            navigationContext.Parameters.TryGetValue<CPDFViewer>(ParameterNames.PDFViewer, out PDFViewer);
            navigationContext.Parameters.TryGetValue<WidgetRadioButtonArgs>("WidgetArgs", out radioButtonArgs);

            GetWidgeText();
        }

        private void GetWidgeText()
        {
            if (radioButtonArgs == null)
            {
                radioButtonArgs = new WidgetRadioButtonArgs();
            }

            PDFViewer.SetMouseMode(MouseModes.FormEditTool);
            PDFViewer.SetToolParam(radioButtonArgs);
        }


        #endregion
    }
}
