﻿using PDF_Office.ViewModels.Dialog.HomePageToolsDialogs.HomePageBatchProcessing.HomePageBackground;
using PDF_Office.ViewModels.EditTools.Background;
using System.Windows.Controls;
using System.Windows.Media;

namespace PDF_Office.Views.Dialog.HomePageToolsDialogs.HomePageBatchProcessing.HomePageBackground
{
    /// <summary>
    /// Interaction logic for HomePageBackgroundCreateColorContent
    /// </summary>
    public partial class HomePageBackgroundCreateColorContent : UserControl
    {
        public HomePageBackgroundCreateColorContent()
        {
            InitializeComponent();
            cusColor.SelectedColorHandler += cusColor_SelectedColor;
        }
        private void cusColor_SelectedColor(object sender, Color e)
        {
            var data = this.DataContext as HomePageBackgroundCreateColorContentViewModel;
            if (data != null)
            {
                data.ChangeColorCommand?.Execute(e);
            }
        }

        private void CommonWritableComboBox_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {

        }
    }
}
