﻿using PDF_Office.ViewModels.Dialog.HomePageToolsDialogs.HomePageBatchProcessing.HomePageHeaderFooter;
using PDF_Office.ViewModels.EditTools.HeaderFooter;
using System.Windows.Controls;
using System.Windows.Media;

namespace PDF_Office.Views.Dialog.HomePageToolsDialogs.HomePageBatchProcessing.HomePageHeaderFooter
{
    /// <summary>
    /// Interaction logic for HomePageHeaderFooterCreateContent
    /// </summary>
    public partial class HomePageHeaderFooterCreateContent : UserControl
    {
        private HomePageHeaderFooterCreateContentViewModel viewModel;

        public HomePageHeaderFooterCreateContent()
        {
            InitializeComponent();
            viewModel = this.DataContext as HomePageHeaderFooterCreateContentViewModel;
            cusColor.SelectedColorHandler += cusColor_SelectedColor;
        }

        private void cusColor_SelectedColor(object sender, Color e)
        {
            var data = this.DataContext as HomePageHeaderFooterCreateContentViewModel;
            if (data != null)
            {
                data.SelectedColorChangedCommand?.Execute(e);

            }
        }

        private void ADDDate_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            viewModel.ADDDateCommand?.Execute();
        }

        private void ADDPages_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            viewModel.ADDPagesCommand?.Execute();
        }

        private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            contextMenu.IsOpen = true;

        }
    }
}
