﻿using PDF_Office.ViewModels;
using PDF_Office.ViewModels.Dialog.HomePageToolsDialogs.HomePageBatchProcessing.HomePageWatermark;
using PDF_Office.ViewModels.EditTools.Watermark;
using System.Windows.Controls;
using System.Windows.Media;

namespace PDF_Office.Views.Dialog.HomePageToolsDialogs.HomePageBatchProcessing.HomePageWatermark
{
    /// <summary>
    /// Interaction logic for HomePageWatermarkCreateTextContent
    /// </summary>
    public partial class HomePageWatermarkCreateTextContent : UserControl
    {
        public HomePageWatermarkCreateTextContent()
        {
            InitializeComponent();
            cusColor.SelectedColorHandler += cusColor_SelectedColor;
        }

        private void cusColor_SelectedColor(object sender, Color e)
        {
            var data = this.DataContext as HomePageWatermarkCreateTextContentViewModel;
            if (data != null)
            {
                data.SelectedColorChangedCommand?.Execute(e);
            }
        }
    }
}
