﻿using PDF_Office.ViewModels.EditTools.Bates;
using PDF_Office.ViewModels.EditTools.HeaderFooter;
using System.Windows.Controls;
using System.Windows.Media;

namespace PDF_Office.Views.EditTools.Bates
{
    /// <summary>
    /// Interaction logic for BatesCreateContent
    /// </summary>
    public partial class BatesCreateContent : UserControl
    {
        private BatesCreateContentViewModel viewModel;
        public BatesCreateContent()
        {
            viewModel=this.DataContext as BatesCreateContentViewModel;
            InitializeComponent();
            cusColor.SelectedColorHandler += cusColor_SelectedColor;
        }

        private void cusColor_SelectedColor(object sender, Color e)
        {
            var data = this.DataContext as BatesCreateContentViewModel;
            if (data != null)
            {
                data.SelectedColorChangedCommand?.Execute(e);

            }
        }

        private void ADDBates_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            viewModel.ADDBatesCommand?.Execute();
        }

        private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            contextMenu.IsOpen = true;
        }
    }
}
