﻿using PDF_Office.ViewModels.PropertyPanel.AnnotPanel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDF_Office.Views.PropertyPanel.AnnotPanel
{
    /// <summary>
    /// SignatureCreateDialog.xaml 的交互逻辑
    /// </summary>
    public partial class SignatureCreateDialog : UserControl
    {
        public SignatureCreateDialog()
        {
            InitializeComponent();
        }

        private void TextRadioButton_Checked(object sender, RoutedEventArgs e)
        {
            (DataContext as SignatureCreateDialogViewModel).UpDataRadioButtonIndex(Convert.ToInt32((sender as RadioButton).Tag));
        }

        private void ImageRadioButton_Checked(object sender, RoutedEventArgs e)
        {
            (DataContext as SignatureCreateDialogViewModel).UpDataImageRadioButtonIndex(Convert.ToInt32((sender as RadioButton).Tag));
        }
    }
}
