﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.From
{
    /// <summary>
    /// 表单栏位字段
    /// </summary>
    public enum FormFieldType
    {
        /// <summary>
        /// 可见
        /// </summary>
        visible,
        /// <summary>
        /// 隐藏
        /// </summary>
        hidden,
        /// <summary>
        /// 可见但不可打印
        /// </summary>
        visibleCantPrint,
        /// <summary>
        /// 隐藏但可打印
        /// </summary>
        hiddenCanPrint
    }
}
