﻿using ComPDFKitViewer.AnnotEvent;
using ComPDFKitViewer.PdfViewer;
using PDF_Office.Model;
using Prism.Mvvm;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.ViewModels.Form
{

    public class ListBoxPropertyViewModel : FormBaseVM, INavigationAware
    {
        #region 属性

        #region 选项

        //排序项目
        private bool _isSortProject = false;
        public bool IsSortProject
        {
            get { return _isSortProject; }
            set { SetProperty(ref _isSortProject, value); }
        }

        //多重选择的
        private bool _multipleSelection = false;
        public bool MultipleSelection
        {
            get { return _multipleSelection; }
            set { SetProperty(ref _multipleSelection, value); }
        }

        #endregion

        #endregion

        #region Command

        #endregion

        #region 变量
        private CPDFViewer PDFViewer;
        private WidgetListBoxArgs listBoxArgs;
        #endregion

        #region 初始化
        public ListBoxPropertyViewModel()
        {
            InitVariable();
            InitCommand();
        }

        private void InitVariable()
        {

        }

        private void InitCommand()
        {

        }

        #endregion


        #region 一般处理

        #endregion

        #region 外观处理

        #endregion

        #region 选项处理

        #endregion

        #region Navegation
        public bool IsNavigationTarget(NavigationContext navigationContext)
        {
            return true;
        }

        public void OnNavigatedFrom(NavigationContext navigationContext)
        {
            listBoxArgs = null;
        }

        public void OnNavigatedTo(NavigationContext navigationContext)
        {
            navigationContext.Parameters.TryGetValue<CPDFViewer>(ParameterNames.PDFViewer, out PDFViewer);
            navigationContext.Parameters.TryGetValue<WidgetListBoxArgs>("WidgetArgs", out listBoxArgs);

            GetWidgeText();
        }

        private void GetWidgeText()
        {
            if (listBoxArgs == null)
            {
                listBoxArgs = new WidgetListBoxArgs();
            }

            PDFViewer.SetMouseMode(MouseModes.FormEditTool);
            PDFViewer.SetToolParam(listBoxArgs);
        }


        #endregion
    }
}
