﻿using PDF_Office.ViewModels.Dialog.HomePageToolsDialogs.HomePageBatchProcessing.HomePageBates;
using PDF_Office.ViewModels.EditTools.Bates;
using System.Windows.Controls;
using System.Windows.Media;

namespace PDF_Office.Views.Dialog.HomePageToolsDialogs.HomePageBatchProcessing.HomePageBates
{
    /// <summary>
    /// Interaction logic for HomePageBatesCreateContent
    /// </summary>
    public partial class HomePageBatesCreateContent : UserControl
    {
        private HomePageBatesCreateContentViewModel viewModel;
        public HomePageBatesCreateContent()
        {
            viewModel = this.DataContext as HomePageBatesCreateContentViewModel;
            InitializeComponent();
            cusColor.SelectedColorHandler += cusColor_SelectedColor;
        }

        private void cusColor_SelectedColor(object sender, Color e)
        {
            var data = this.DataContext as HomePageBatesCreateContentViewModel;
            if (data != null)
            {
                data.SelectedColorChangedCommand?.Execute(e);
            }
        }

        private void ADDBates_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            viewModel.ADDBatesCommand?.Execute();
        }

        private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            contextMenu.IsOpen = true;
        }
    }
}
