﻿using PDF_Office.ViewModels.EditTools.Watermark;
using System.Windows.Controls;

namespace PDF_Office.Views.EditTools.Watermark
{
    /// <summary>
    /// Interaction logic for WatermarkDocumentContent
    /// </summary>
    public partial class WatermarkDocumentContent : UserControl
    {
        public WatermarkDocumentContent()
        {
            InitializeComponent();
        }
        private void CurrentPageIndexBox_KeyDown(object sender, System.Windows.Input.KeyEventArgs e)
        {
            if (e.Key == System.Windows.Input.Key.Enter)
            {
                var data = this.DataContext as WatermarkDocumentContentViewModel;
                data.GoToPageCommand?.Execute(sender);
            }
        }
    }
}
